services:
  byparr:
    image: ghcr.io/thephaseless/byparr
    restart: unless-stopped
    build:
      context: .
      dockerfile: Dockerfile
    # environment:
    #   - PROXY=http://pproxy:8080 # Uncomment this line to use pproxy
    volumes:
      - ./screenshots:/app/screenshots # For screenshots when exception occurs
    ports:
      - "8195:8191"
  # # Uncomment the following lines to enable pproxy for socks5 proxy
  # pproxy:
  #   tty: true # Required for pproxy to work
  #   container_name: pproxy
  #   restart: unless-stopped
  #   image: mosajjal/pproxy:latest
  #   command:
  #     - -vv
  #     - -l http://:8080
  #     - -r socks5://host:port#username:password # Fill in your proxy credentials and address
